import { z } from 'zod';
export declare const zRoleName: z.ZodEnum<["admin", "ro_admin", "security_admin_local", "security_admin_external", "cluster_admin", "eventing_admin", "backup_admin", "external_stats_reader", "query_system_catalog", "query_external_access", "query_manage_global_functions", "query_execute_global_functions", "query_manage_global_external_functions", "query_execute_global_external_functions", "analytics_reader", "analytics_admin", "replication_admin", "sync_gateway_dev_ops"]>;
export declare const zApiUser: z.ZodObject<{
    id: z.ZodString;
    domain: z.ZodString;
    roles: z.ZodArray<z.ZodObject<{
        role: z.ZodEnum<["admin", "ro_admin", "security_admin_local", "security_admin_external", "cluster_admin", "eventing_admin", "backup_admin", "external_stats_reader", "query_system_catalog", "query_external_access", "query_manage_global_functions", "query_execute_global_functions", "query_manage_global_external_functions", "query_execute_global_external_functions", "analytics_reader", "analytics_admin", "replication_admin", "sync_gateway_dev_ops"]>;
        origins: z.ZodOptional<z.ZodArray<z.ZodObject<{
            type: z.ZodString;
            name: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            type: string;
            name?: string | undefined;
        }, {
            type: string;
            name?: string | undefined;
        }>, "many">>;
        bucket_name: z.ZodOptional<z.ZodString>;
        scope_name: z.ZodOptional<z.ZodString>;
        collection_name: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        role: "admin" | "ro_admin" | "security_admin_local" | "security_admin_external" | "cluster_admin" | "eventing_admin" | "backup_admin" | "replication_admin" | "query_system_catalog" | "query_external_access" | "query_manage_global_functions" | "query_execute_global_functions" | "query_manage_global_external_functions" | "query_execute_global_external_functions" | "analytics_reader" | "analytics_admin" | "sync_gateway_dev_ops" | "external_stats_reader";
        bucket_name?: string | undefined;
        scope_name?: string | undefined;
        collection_name?: string | undefined;
        origins?: {
            type: string;
            name?: string | undefined;
        }[] | undefined;
    }, {
        role: "admin" | "ro_admin" | "security_admin_local" | "security_admin_external" | "cluster_admin" | "eventing_admin" | "backup_admin" | "replication_admin" | "query_system_catalog" | "query_external_access" | "query_manage_global_functions" | "query_execute_global_functions" | "query_manage_global_external_functions" | "query_execute_global_external_functions" | "analytics_reader" | "analytics_admin" | "sync_gateway_dev_ops" | "external_stats_reader";
        bucket_name?: string | undefined;
        scope_name?: string | undefined;
        collection_name?: string | undefined;
        origins?: {
            type: string;
            name?: string | undefined;
        }[] | undefined;
    }>, "many">;
    groups: z.ZodArray<z.ZodString, "many">;
    external_groups: z.ZodArray<z.ZodString, "many">;
    name: z.ZodLiteral<"">;
    uuid: z.ZodString;
    password_change_date: z.ZodString;
}, "strip", z.ZodTypeAny, {
    name: "";
    id: string;
    domain: string;
    roles: {
        role: "admin" | "ro_admin" | "security_admin_local" | "security_admin_external" | "cluster_admin" | "eventing_admin" | "backup_admin" | "replication_admin" | "query_system_catalog" | "query_external_access" | "query_manage_global_functions" | "query_execute_global_functions" | "query_manage_global_external_functions" | "query_execute_global_external_functions" | "analytics_reader" | "analytics_admin" | "sync_gateway_dev_ops" | "external_stats_reader";
        bucket_name?: string | undefined;
        scope_name?: string | undefined;
        collection_name?: string | undefined;
        origins?: {
            type: string;
            name?: string | undefined;
        }[] | undefined;
    }[];
    groups: string[];
    external_groups: string[];
    uuid: string;
    password_change_date: string;
}, {
    name: "";
    id: string;
    domain: string;
    roles: {
        role: "admin" | "ro_admin" | "security_admin_local" | "security_admin_external" | "cluster_admin" | "eventing_admin" | "backup_admin" | "replication_admin" | "query_system_catalog" | "query_external_access" | "query_manage_global_functions" | "query_execute_global_functions" | "query_manage_global_external_functions" | "query_execute_global_external_functions" | "analytics_reader" | "analytics_admin" | "sync_gateway_dev_ops" | "external_stats_reader";
        bucket_name?: string | undefined;
        scope_name?: string | undefined;
        collection_name?: string | undefined;
        origins?: {
            type: string;
            name?: string | undefined;
        }[] | undefined;
    }[];
    groups: string[];
    external_groups: string[];
    uuid: string;
    password_change_date: string;
}>;
