import { CouchbaseHttpApiConfig } from '../../types.js';
export declare function getAnalyticsClusterStatus(apiConfig: CouchbaseHttpApiConfig): Promise<AnalyticsClusterStatus>;
export type AnalyticsClusterStatus = {
    authorizedNodes: string[];
    ccNodeId: string;
    nodeConfigUri: string;
    nodeDiagnosticsUri: string;
    nodeRestartUri: string;
    nodeServiceUri: string;
    nodes: Array<{
        apiBase: string;
        apiBaseHttps: string;
        nodeId: string;
        nodeName: string;
    }>;
    partitions: Array<{
        active: boolean;
        activeNodeId: string;
        iodeviceNum: number;
        nodeId: string;
        partitionId: number;
        path: string;
        pendingActivation: boolean;
    }>;
    partitionsTopology: {
        balanced: boolean;
        ccNodeId: string;
        metadataPartition: number;
        numReplicas: 0;
        partitions: Array<{
            id: `${number}`;
            master: string;
            origin: string;
            replicas: Array<{
                location: string;
                nodeId: string;
                status: 'IN_SYNC' | 'CATCHING_UP' | 'DISCONNECTED';
                /**
                 * Decimal number between 0 and 1.
                 *
                 * @example 0.1
                 */
                syncProgress: number;
            }>;
        }>;
        revision: number;
        version: number;
    };
    serviceConfigUri: string;
    serviceDiagnosticsUri: string;
    serviceRestartUri: string;
    state: 'ACTIVE' | 'REBALANCE_REQUIRED' | 'UNUSABLE' | 'SHUTTING_DOWN';
};
