export declare const ServerFeatures: {
    readonly KeyValue: "kv";
    readonly Ssl: "ssl";
    readonly Views: "views";
    readonly SpatialViews: "spatial_views";
    readonly Query: "query";
    readonly Subdoc: "subdoc";
    readonly Xattr: "xattr";
    readonly Search: "search";
    readonly Analytics: "analytics";
    readonly Collections: "collections";
    readonly Replicas: "replicas";
    readonly UserManagement: "user_management";
    readonly BucketManagement: "bucket_management";
    readonly GetMeta: "get_meta";
    readonly AnalyticsPendingMutations: "analytics_pending_mutations";
    readonly UserGroupManagement: "user_group_management";
    readonly PreserveExpiry: "preserve_expiry";
    readonly Eventing: "eventing";
    readonly Transactions: "transactions";
    readonly ServerDurability: "server_durability";
    readonly RangeScan: "range_scan";
    readonly SubdocReadReplica: "subdoc_read_replica";
    readonly BucketDedup: "bucket_dedup";
    readonly UpdateCollectionMaxExpiry: "update_collection_max_expiry";
    readonly NegativeCollectionMaxExpiry: "negative_collection_max_expiry";
    readonly StorageBackend: "storage_backend";
    readonly VectorSearch: "vector_search";
    readonly ScopeSearch: "scope_search";
    readonly ScopeSearchIndexManagement: "scope_search_index_management";
    readonly ScopeEventingFunctionManagement: "scope_eventing_function_management";
    readonly NotLockedKVStatus: "kv_not_locked";
};
export type ServerFeature = (typeof ServerFeatures)[keyof typeof ServerFeatures];
export declare function versionSupportsFeatures(version: string, ...features: ServerFeature[]): boolean;
export declare function versionSupports(version: string, feature: ServerFeature): boolean;
