import { requestGetBucketScopes } from './requests/requestGetBucketScopes.js';
export async function getCollections(apiConfig, bucketName, scopeName) {
    const response = await requestGetBucketScopes(apiConfig, bucketName);
    if (response.status !== 200) {
        throw new Error(`API Error (${response.statusText}): ${await response.text()}`);
    }
    const body = (await response.json());
    const scope = body.scopes.find((s) => s.name);
    if (scope === undefined) {
        throw new Error(`Scope '${bucketName}'.'${scopeName}' not found`);
    }
    return scope.collections;
}
//# sourceMappingURL=getCollections.js.map