import { ApiSearchIndexDefinition, SearchIndexConfigIndexParams, SearchIndexConfigSourceParams, SearchIndexType, SearchSourceType } from './types.js';
export type ApiSearchGetIndex = {
    status: 'ok' | (string & NonNullable<unknown>);
    indexDef: ApiSearchIndexDefinition;
    planPIndexes: PlanPIndexes[];
    warnings: unknown[];
};
export type PlanPIndexes = {
    name: string;
    uuid: string;
    indexType: SearchIndexType;
    indexName: string;
    indexUUID: string;
    sourceType: SearchSourceType;
    sourceName: string;
    sourceUUID: string;
    sourcePartitions: string;
    nodes: {
        [nodeId: string]: {
            canRead: boolean;
            canWrite: boolean;
            priority: number;
        };
    };
} & SearchIndexConfigIndexParams & SearchIndexConfigSourceParams;
