import { Keyspace, Pretty } from '@cbjsdev/shared';
import { CouchbaseHttpApiConfig } from '../types.js';
import { WaitForOptions } from './types.js';
export type WaitForQueryIndexOptions = Pretty<WaitForOptions & {
    awaitMutations?: boolean;
}>;
/**
 * Wait for the query index to be visible by the query service and wait until no mutations are remaining.
 *
 * You can opt-out waiting for mutations by passing `{ awaitMutations: false }`.
 *
 * @param apiConfig
 * @param indexName
 * @param keyspace
 * @param options
 */
export declare function waitForQueryIndex(apiConfig: CouchbaseHttpApiConfig, indexName: string, keyspace: Keyspace, options?: WaitForQueryIndexOptions): Promise<void>;
